#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 skylighting-core
version:              0.10.4.1
visibility:           public
id:                   skylighting-core-0.10.4.1-7r4phRQmwcuDFkMNv7ckCo
key:                  skylighting-core-0.10.4.1-7r4phRQmwcuDFkMNv7ckCo
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  868e08cc7a0a49d878e752a6c0ffaa65
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Format.ANSI Skylighting.Format.HTML
    Skylighting.Format.LaTeX Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-8.10.4/site-local/skylighting-core-0.10.4.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/skylighting-core-0.10.4.1
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.4/skylighting-core-0.10.4.1

hs-libraries:         HSskylighting-core-0.10.4.1-7r4phRQmwcuDFkMNv7ckCo
depends:
    aeson-1.5.6.0-Gx77yI4aGhT9SDRJjDxR53
    ansi-terminal-0.11-sYFHbiAEH84KFYZWhhTVC
    attoparsec-0.13.2.5-AaEkuqZ31Ae8OJbD4JckmF base-4.14.1.0
    base64-bytestring-1.2.0.1-22itX1S60dGAbKZTGKHePh binary-0.8.8.0
    blaze-html-0.9.1.2-IaZEwUT8fqP7tK8y8gYMwS bytestring-0.10.12.0
    case-insensitive-1.2.1.0-5YXNoRXTQgKt9CDkcQekB
    colour-2.3.5-IIIEJqyu0Rt60CjKnQsXxu containers-0.6.2.1
    directory-1.3.6.0 filepath-1.4.2.1 mtl-2.2.2
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b text-1.2.4.1
    transformers-0.5.6.2 utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    xml-conduit-1.9.1.0-FcKHYXL1xuR2tf5dGKQiHc

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

